Bug 3900 - /lib/security/pam_securetty.so flubs PTS entries under ssh?
Summary: /lib/security/pam_securetty.so flubs PTS entries under ssh?
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam   
(Show other bugs)
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-05 16:10 UTC by James E. Leinweber
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-30 15:37:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James E. Leinweber 1999-07-05 16:10:44 UTC
Attempts to use
  auth required  lib/security/pam_securetty.so debug
in /etc/pam.d/ssh  (with ssh version 1.2.26)
yield "PAM-securetty[1276]: cannot determine user's tty".
Does this mean pam_securetty needs /dev/pts fixes?

Comment 1 Michael K. Johnson 1999-07-30 15:37:59 UTC
No, it means that you should not be using securetty with ssh.
ptys are insecure except when encrypted, say with ssh, and
pam_securetty is doing precisely the right thing.  Just take it
out of the stack for ssh, unless you do not want root to be able
to log in via ssh.  :-)


Note You need to log in before you can comment on or make changes to this bug.